
# This sets up a security=0 server but in Unicode mode, not sure about other
# 'recommended' settings
class BaseSystemSettings < SystemSettingsModel
  @unicode = true
  @security_level = 3
end

class SuperUser < UserModel
  @super = true
  @login = 'super'
  @password = 'superuser1A!'
end

class MaxUser < UserModel
  def rank
    10
  end
  @login = 'mmustermann'
  @full_name = 'Max Mustermann'
  @password = 'mustermann1A!'
end

class JohnDoeUser < UserModel
  def rank
    11
  end
  @login = 'jdoe'
  @full_name = 'John Doe'
  @password = 'johndoe1A!'
end

class TriggersUser < UserModel
  def rank
    12
  end
  @login = 'triggers'
  @full_name = 'Trigger Account'
  @password = 'triggers1A!'
end

class Changelist1 < ChangelistModel
  def rank
    1000
  end
  @description = 'A few basic adds'
  @adds = [
      FileDefinition.new(
          path: 'depot/main/My Project/README',
          content: <<-STOP.gsub(/^ {8}/, '')
      This is the readme for My Project
      STOP
      ),
      FileDefinition.new(
          path: 'depot/dev/Experimental/README',
          content: <<-STOP.gsub(/^ {8}/, '')
      This is an experimental project README.
      STOP
      )
  ]
end

class Changelist2 < ChangelistModel
  def rank
    1001
  end
  @description = 'Edits'
  @user = 'jdoe'
  @edits = [
      FileDefinition.new(
          path: 'depot/main/My Project/README',
          content: <<-STOP.gsub(/^ {8}/, '')
            This is the readme for My Project
        The README has been edited.
      STOP
      )
  ]
end

class StreamTestDepot < DepotModel
  def rank
    1001
  end
  @depot = 'stream-test'
  @description = 'A test depot'
  @type = 'stream'
end

